<?xml version="1.0"?>
<xsl:stylesheet 
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
     version="1.0">
<xsl:param name="file_name"/>
<xsl:param name="xml_content"/>

<xsl:template match="/">
  <html>
  <head><title>XML-Friendly In-Browser Content Editor</title></head>
  <body>
    <xsl:apply-templates />
  </body>
  </html>
</xsl:template>

<xsl:template match="document">
  <form name="saver" 
        action="browseredit.cgi" 
        method="post">

  <xsl:choose>
  <xsl:when test="errors">
      <div class="errors">
      <b>Warning: the document <xsl:value-of select="$file_name"/> was <em>not</em> saved.</b>
      <br />
      <br />
      The following errors ocurred while
      processing this document:
      <xsl:for-each select="errors/error">
         <p><xsl:value-of select="."/></p>
      </xsl:for-each>
      
      <input name="browseredit_edit" 
             type="submit"
             value="Back"/>
      
       <input name="xml_content" 
              type="hidden" 
              value="{$xml_content}"/>

       <input name="file_name" 
              type="hidden" 
              value="{$file_name}"/>
      </div>
  </xsl:when>
  <xsl:otherwise>
    <p> Document <xsl:value-of select="$file_name"/> saved sucessfully.</p>
      <input name="done"
             type="submit"
             value="Choose Another File"/>
  </xsl:otherwise>
  </xsl:choose>

  </form>
</xsl:template>

</xsl:stylesheet>
