<?xml version="1.0"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
  <pattern name="Basic Website Content Validator">
    <rule context="/">
      <assert test="article">
        The root element of a content page must be named 
        'article'.
      </assert>
    </rule>
    <rule context="article">
      <assert test="count(*) = count(title|section|copyright|abstract)">
        Unexpected element(s) found in element 'article'. 
        an article element should contain only title, 
        section, copyright, or abstract elements.
      </assert>
      <assert test="title">
        A document element must contain a title element.
      </assert> 
       <assert test="section">
         A document element must contain a section element.
       </assert> 
       <assert test="copyright">
         A document element must contain a copyright element.
       </assert> 
    </rule>
    <rule context="title">
      <assert test="string-length() &gt; 0 and string-length() &lt; 51">
        The title element must contain between 1 and 50 characters.
      </assert>
    </rule>
    <rule context="copyright">
      <assert test="count(*) = count(name | date)">
        Unexpected element(s) found: the copyright element may 
        only contain name and date elements.
      </assert>
      <assert test="name">
        A copyright element must contain a name element.
      </assert> 
      <assert test="date">
        A copyright element must contain a date element.
      </assert> 
    </rule>
  </pattern>
</schema>
